summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-03-15 05:15:41 +0100
committerMichał Górny <mgorny@gentoo.org>2020-03-15 18:01:01 +0100
commit139a1430d44064e6de7d1ba47aa45410ea5dfe1c (patch)
tree3b64f9b8b8c08106275ba9b127937848977a0d2f /dev-python/elementpath
parentdev-python/ujson: 2.0.2 (diff)
downloadgentoo-139a1430d44064e6de7d1ba47aa45410ea5dfe1c.tar.gz
gentoo-139a1430d44064e6de7d1ba47aa45410ea5dfe1c.tar.bz2
gentoo-139a1430d44064e6de7d1ba47aa45410ea5dfe1c.zip
dev-python/elementpath: Bump to 1.4.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/elementpath')
-rw-r--r--dev-python/elementpath/Manifest1
-rw-r--r--dev-python/elementpath/elementpath-1.4.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/elementpath/Manifest b/dev-python/elementpath/Manifest
index 0a17f6f9f43..857d0d1fa93 100644
--- a/dev-python/elementpath/Manifest
+++ b/dev-python/elementpath/Manifest
@@ -1,2 +1,3 @@
DIST elementpath-1.3.1.tar.gz 100631 BLAKE2B fb3238006afb5100ad03314bddb16e77ea2fc7a91acf95e479ad67308456f761c53c64920266aa251a3f1b9bb6c6bebe39faa6413dd840a19ca1e9b3293f5253 SHA512 3beea19fe431514630f3957d2005d5883fb496a7192a47ea593d4b0df7a0050a19756275af7f85c7807c929482ddaacaba76ec0f3a715b6779d4aec125ee5550
DIST elementpath-1.4.1.tar.gz 106008 BLAKE2B 9613949e65d61425d8ca04a2af95e162b603202f521cd96a3e40da4834149890f5767841bc9c7eac45d27902fdd79bac933013aed27767a840f48e889bfe174a SHA512 b83ec52549c6221b4d4d0912100df700f7a36e1eadb5491cc61106fc98ce36370217dae133c6ff0b11d1522b5ad5b9765aa135b0ac7310a9c922148e3d92acfd
+DIST elementpath-1.4.2.tar.gz 116419 BLAKE2B 8fd16d579e543f10f96cebc37cac3cbbed7dd76e04ff66ead95b50b2ce4d6284c5bcf2647460cb888425005e46b7cc40813c31a66371e29b5e5589e9ffcf2850 SHA512 66524dfd53694c58ba587081e405d7c73ef2d3fe8164aa0690b5f06749dad718d05ecc9d462c060643789c0186aeb5113590c02fac5307d91952e4fb705a2db0
diff --git a/dev-python/elementpath/elementpath-1.4.2.ebuild b/dev-python/elementpath/elementpath-1.4.2.ebuild
new file mode 100644
index 00000000000..06a26acaff0
--- /dev/null
+++ b/dev-python/elementpath/elementpath-1.4.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+HOMEPAGE="https://github.com/sissaschool/elementpath
+ https://pypi.org/project/elementpath/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # this test fails depending on system locale + requires some random
+ # locales being installed
+# sed -e 's:test_compare_strings_function:_&:' \
+# -i tests/test_xpath2_parser.py || die
+}